﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace MultiSelect_DropDown_jQuery_MVC_Core.Controllers
{
    public class HomeController : Controller
    {
        private DBCtx Context { get; }
        public HomeController(DBCtx _context)
        {
            this.Context = _context;
        }

        public IActionResult Index()
        {
            SelectList customers = new SelectList(this.Context.Customers.ToList(), "CustomerId", "Name");
            return View(customers);
        }

        [HttpPost]
        public IActionResult Index(string[] customerIds)
        {
            SelectList customers = new SelectList(this.Context.Customers.ToList(), "CustomerId", "Name");
            ViewBag.Message = "";
            foreach (string customerId in customerIds)
            {

                SelectListItem selectedItem = customers.ToList().Find(p => p.Value == customerId);
                ViewBag.Message += "Name: " + selectedItem.Text;
                ViewBag.Message += "\\nID: " + selectedItem.Value;
                ViewBag.Message += "\\n";
            }
            return View(customers);
        }
    }
}